ALTER TRIGGER "tib_pa_plnr" before insert order 1 on
DBA.pa_plnr
referencing new as new_name
for each row
begin
  declare id1 integer;
  if(new_name.palgaleht is null) or(new_name.palgaleht = 0) then select getid_pa_palgaleht(new_name.v_aasta) into id1 from DUMMY;
    set new_name.palgaleht=id1
  end if;
  if new_name.v_aasta>2020 then
    call pr_kanne_add(new_name.v_akuu,new_name.v_aasta,new_name.skoop,5);
  end if;
  if new_name.t_aasta>2020 and new_name.t_akuu<>new_name.v_akuu then
    call pr_kanne_add(new_name.t_akuu,new_name.t_aasta,new_name.skoop,5);
  end if;
  set new_name.kell=Now(*)
end